nvidia 465.27-4 (znver1) 2021-14067
9999

Submitter benbullard79 [@T] cox.net
Platform rolling
Repository non-free
URL https://abf.openmandriva.org/build_lists/57533
Packages
nvidia-465.27-4.znver1.binary
nvidia-465.27-4.znver1.source
nvidia-32bit-465.27-4.znver1.binary
nvidia-kernel-modules-desktop-465.27-4.znver1.binary
nvidia-kernel-modules-desktop-clang-465.27-4.znver1.binary
nvidia-kernel-modules-server-465.27-4.znver1.binary
nvidia-kernel-modules-server-clang-465.27-4.znver1.binary
Build Date 2021-07-17 21:50:19 +0000 UTC
Last Updated 2021-07-18 03:19:06.758540803 +0000 UTC
$ git diff --patch-with-stat --summary 0a52b289ab27cce954b37a4696eb7edb27ceed09..99e695a4df0192ac34f21289f781463ea234e845

 .abf.yml    |  2 +-
 nvidia.spec | 22 ++++++----------------
 2 files changed, 7 insertions(+), 17 deletions(-)

diff --git a/.abf.yml b/.abf.yml
index 3b81259..a1e3676 100644
--- a/.abf.yml
+++ b/.abf.yml
@@ -1,2 +1,2 @@
 sources:
-  NVIDIA-Linux-x86_64-460.80.run: 99f7e3f65309b63685c8d72c56994e2beacf2bec
+  NVIDIA-Linux-x86_64-465.27.run: 8cbc1d9af398099f5f4c354839b474f3a5d3cfee
diff --git a/nvidia.spec b/nvidia.spec
index a9b422a..1279d67 100644
--- a/nvidia.spec
+++ b/nvidia.spec
@@ -3,8 +3,8 @@
 
 Summary:	Binary-only driver for nvidia graphics chips
 Name:		nvidia
-Version:	460.80
-Release:	1
+Version:	465.27
+Release:	4
 ExclusiveArch:	%{x86_64}
 Url:		http://www.nvidia.com/object/unix.html
 Source0:	http://download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}.run
@@ -17,10 +17,9 @@ License:	distributable
 # to load clang-built modules into a gcc-built kernel
 BuildRequires:	gcc
 Requires:	%{name}-kernel-modules = %{EVRD}
-#FIXME#
-# /usr/lib64/libnvidia-egl-wayland.so.1 conflicts between attempted installs of nvidia-460.67-1.x86_64 and lib64nvidia-egl-wayland1-1.1.6-1.x86_64
-# So disable it for now, until someone knowledgeable about NVIDIA has time to fix this problem.
-#Requires:	egl-wayland
+Requires:	libglvnd-egl
+Requires:	egl-wayland
+Requires:	vulkan-loader
 
 %description
 This is a binary-only driver for nvidia graphics chips.
@@ -44,6 +43,7 @@ Summary:	Binary-only 32-bit driver for nvidia graphics chips
 %description 32bit
 This is a 32-bit binary-only driver for nvidia graphics chips.
 
+It is NOT supported.
 It is NOT supported.
 It may WIPE YOUR HARDDISK, SEND ALL YOUR DATA TO YOUR COMPETITORS,
 and worse.
@@ -300,14 +300,6 @@ ln -s libvdpau_nvidia.so.%{version} %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia
 ln -s libvdpau_nvidia.so.%{version} %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so.1
 ln -s libvdpau_nvidia.so.%{version} %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so
 
-# Wayland
-# FIXME can this be replaced by https://github.com/NVIDIA/egl-wayland ?
-wlibso=$(ls libnvidia-egl-wayland.so* | sed 's/.*so.\(.*\)/\1/')
-instx %{_libdir}/libnvidia-egl-wayland.so.$wlibso
-ln -s libnvidia-egl-wayland.so.$wlibso %{buildroot}%{_libdir}/libnvidia-egl-wayland.so.1
-ln -s libnvidia-egl-wayland.so.$wlibso %{buildroot}%{_libdir}/libnvidia-egl-wayland.so
-inst %{_datadir}/egl/egl_external_platform.d/10_nvidia_wayland.json
-
 # Tools
 for i in *.1.gz; do
 	gunzip $i
@@ -382,8 +374,6 @@ inst /lib/modules/%{cskdir}/kernel/drivers/video/nvidia-uvm.ko
 %{_libdir}/libnvidia-gtk3.so*
 %{_libdir}/libnvidia-ifr.so*
 %{_libdir}/vdpau/libvdpau_nvidia.so*
-%{_libdir}/libnvidia-egl-wayland.so*
-%{_datadir}/egl/egl_external_platform.d/10_nvidia_wayland.json
 %{_bindir}/nvidia-bug-report.sh
 %{_bindir}/nvidia-smi
 %{_mandir}/man1/nvidia-smi.1*
Not Available
benbullard79 [@T] cox.netNo Comment.61d 06hrs
benbullard79 [@T] cox.netNo Comment.61d 06hrs